* {
	@include box-sizing(border-box);
}
*:before,
*:after {
	@include box-sizing(border-box);
}


html,
body {
	min-height: 100%;
}

body {
	color: $black;
	font-family: $font-family-base;
	background-color: $white;
	font-size: $font-size-base;
	line-height: $line-height-base;
}

.container {
	margin-right: auto;
	margin-left: auto;
	padding-left:  ($gutter);
	padding-right: ($gutter);
	@include clearfix;

	@media (min-width: $screen-sm-min) {
		width: $container-sm;
	}

	@media (min-width: $screen-md-min) {
		width: $container-md;
	}

	@media (min-width: $screen-lg-min) {
		width: $container-lg;
	}

	@media (min-width: $screen-xl-min) {
		width: $container-xl;
	}
}


.root {
	width: 100%;
	min-height: 100vh;
	max-width: 100%;
	overflow: hidden;
	display: flex;
	flex-direction: column;

	&__main {
		flex-grow: 1;
	}

	@media (min-width: $screen-md-min) {

		&__section {
			min-height: 100vh;
			display: flex;
			flex-direction: column;

			&--wrap {
				margin: auto 0;
			}
		}
	}

	@media (min-width: $screen-lg-min) {

	}

	@media (min-width: $screen-xl-min) {

	}
}



// Headings
//

h1, h2, h3, h4, h5, h6,
.h1, .h2, .h3, .h4, .h5, .h6 {
	margin: 0;
	padding: 0;
	font-weight: 700;
	line-height: 1.2;
}

h1, .h1 {
	line-height: 130%;
	margin-bottom: 20px;
	font-size: font-size-rel(22px);
	font-family: $font-family-head;

	@media (min-width: $screen-sm-min) {
		line-height: 120%;
		margin-bottom: 40px;
		font-size: font-size-rel(32px);
	}

	@media (min-width: $screen-md-min) {
		font-size: font-size-rel(40px);
		margin-bottom: 60px;
	}

	@media (min-width: $screen-xl-min) {
		font-size: font-size-rel(50px);
	}
}

h2, .h2 {
	line-height: 130%;
	margin-bottom: 20px;
	font-size: font-size-rel(22px);
	font-family: $font-family-head;

	@media (min-width: $screen-sm-min) {
		line-height: 120%;
		margin-bottom: 40px;
		font-size: font-size-rel(32px);
	}

	@media (min-width: $screen-md-min) {
		font-size: font-size-rel(40px);
		margin-bottom: 60px;
	}

	@media (min-width: $screen-xl-min) {
		font-size: font-size-rel(50px);
	}
}

h3, .h3 {
	line-height: 130%;
	margin-bottom: 20px;
	font-size: font-size-rel(20px);
	font-family: $font-family-head;

	@media (min-width: $screen-sm-min) {
		line-height: 120%;
		font-size: font-size-rel(24px);
	}

	@media (min-width: $screen-md-min) {
		line-height: 120%;
		font-size: font-size-rel(28px);
	}
}

h4, .h4 {
	font-size: font-size-rel(16px);
	font-family: $font-family-head;

	@media (min-width: $screen-md-min) {
		line-height: 120%;
		font-size: font-size-rel(18px);
	}
}

h5, .h5 {
	font-size: font-size-rel(16px);
	font-family: $font-family-head;
}

h6, .h6 {
	font-size: font-size-rel(14px);
	font-family: $font-family-head;
}

p {
	margin: 0 0 20px 0;
}
